const rootTornadoDomain = "tornadocash.eth";
const sourcesDomain = "sources." + rootTornadoDomain;
const minifiedSourcesDomain = "minified." + sourcesDomain;
const packagesDomain = "packages." + sourcesDomain;

export const ensDomains = {
    rootTornadoDomain,
    sourcesDomain,
    minifiedSourcesDomain,
    packagesDomain,
    downloadScriptSourceDomain: "download." + sourcesDomain,
    classicUISourceDomain: "classic-ui." + sourcesDomain,
    novaUISourceDomain: "nova." + sourcesDomain,
    docsSourceDomain: "docs." + sourcesDomain,
    relayersUISourceDomain: "relayers-ui." + sourcesDomain,
    tornTokenSourceDomain: "torn-token." + sourcesDomain,
    classicRelayerSoftwareSourceDomain: "classic-relayer." + sourcesDomain,
    novaRelayerSoftwareSourceDomain: "nova-relayer." + sourcesDomain,
    tornadoCliSourceDomain: "cli." + sourcesDomain,
    infoPageSourceDomain: "info-page." + sourcesDomain,
    classicUIMinifiedDomain: "classic-ui." + minifiedSourcesDomain,
    novaMinifiedDomain: "nova." + minifiedSourcesDomain,
    tornadoCliMinifiedDomain: "cli." + minifiedSourcesDomain,
    websnarkPackageDomain: "websnark." + packagesDomain,
    circomlibPackageDomain: "circomlib." + packagesDomain,
    snarkjsPackageDomain: "snarkjs." + packagesDomain,
    tornadoOraclesPackageDomain: "oracles." + packagesDomain,
    gasPriceOraclePackageDomain: "gas-price-oracle." + packagesDomain,
    tornadoConfigPackageDomain: "config." + packagesDomain,
    anonymityMiningPackageDomain: "anonymity-mining." + packagesDomain,
    tornadoTreesPackageDomain: "trees." + packagesDomain,
    fixedMerkleTreePackageDomain: "fixed-merkle-tree." + packagesDomain,
    txManagerPackageDomain: "tx-manager." + packagesDomain,
    merkleRootUpdaterPackageDomain: "merkle-root-updater." + packagesDomain,
};

export const ipfsCids = {
    downloadInstructionsHtml: "QmX2RqM2g98EM1C7UWx2uW7Cz9ALQSCRkogDxEJDZbNH15",
    downloadScriptSource: "QmXrkrmZYvVCBtsZYdpsyhRcfNERYnrcTmjgLfgwWEn2XE",
    classicUiSource: "QmacsxDCzyUCsmG6W5Nz5arHPjNms5Bwc7QqfYM6utASWj",
    classicRelayerSource: "QmUTA3MABmeNU9RvJK1cQ7L28KRLFVA8ebaq7gotQXAKrg",
    novaRelayerSource: "QmbsX9ScTxZ5Tqy1a8ecdQNacStiCDwFufUyCJ5HXrgMSj",
    relayersUiSource: "QmT5vRziiwZKDZUkDX4BqxKvXmcz3W2tLtGkE9VrtdCQuu",
    novaUiSource: "QmaYVcnwab7eR8JStD11JwXUkiCLfBvth2eByMBSxWhfVP",
    docsSource: "QmZC7e8KqB7fdyRFj3iu45i3sTABVsYVnmMzZ1bsn1VpMn",
    tornadoCliSource: "Qmc1XYtApEGsJpMfSjTAYQoYHakNyJcfJUtRFC3FBLD1AD",
    infoPageSource: "QmQwNEb8SdFkiPDMAk3ncktqbZCTGknVN3sH33LAMSaADB",
    classicUiMinified: "QmQGsukwaYhkKJ1bHW3rZJTc83Rh7xFogMMu8GMDRcbAt8",
    novaUiMinified: "QmecystQd1aGDfWp93EndSpU8gGGYXgyAhfFEKXsZfPA2m",
    tornadoCliMinified: "QmUFAL29scANSqvrVTejoRrpMzKpJJE6j4BKrKGyKNM5XH",
    tornTokenSource: "QmfRtPH3gRwTbbNEAfkvVNeGauBAcFHBzuET7JfmKvfFr1",
    merkleRootUpdaterPackage: "QmTVin6iNu5Mp6YPo3jTpCNKdE5JdvM4r4tqXZJtac2UQ4",
    gasPriceOraclePackage: "QmW8zZ1Dv32j9HpjP3aExNJvxcshYoGTsjQaX8VZzRTXxx",
    tornadoOraclesPackage: "QmYUM1Kx6ju5ZBu6TDdRfZZjG64fCNbyKxWySMsLprPQGY",
    snarkjsPackage: "QmdoqswophQXo5JrQQnbpWS5562eizT8vAK8XQDsHyKLs5",
    websnarkPackage: "QmRqZ55oP7Vyq39cJrqLSAhiLEbhCLm6QTJKghhHHogKmQ",
    circomlibPackage: "QmVDdK5YowqaMuQuAPwW2Hq4GSSNebVBfd3qsKUhvQZxVv",
    txManagerPackage: "QmYNvuaKH47QJuFairApChBvoRtbezvnWU12tPs8cHUZzA",
    fixedMerkleTreePackage: "QmUtj3m6y5sEw4Y7V7PnAS7pKp9gbJGJ2eGAMWnwXAPRP9",
    tornadoTreesPackage: "QmanV67Tzu7jLdeVXStjJ7iVVYMPAvnHhmxwsCSXALAtGK",
    anonymityMiningPackage: "QmTfy4wGgYMKczEjtKNRZTEpnzfYyqtPhbc3fzJqwPSpzF",
    tornadoConfigPackage: "QmRPK6AqffoB721RfaWtRr1GjdpVN7x4g8ZcG27RqvLweR",
};
